Last Comment Bug 664107 - Calling drawImage with non-finite arguments should not throw
: Calling drawImage with non-finite arguments should not throw
Status: VERIFIED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: Canvas: 2D (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: :Ms2ger (⌚ UTC+1/+2)
:
Mentors:
Depends on:
Blocks: 622842
  Show dependency treegraph
 
Reported: 2011-06-14 04:28 PDT by :Ms2ger (⌚ UTC+1/+2)
Modified: 2011-08-31 05:09 PDT (History)
2 users (show)
Ms2ger: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (1.66 KB, patch)
2011-06-14 04:28 PDT, :Ms2ger (⌚ UTC+1/+2)
bugs: review+
Details | Diff | Splinter Review

Description :Ms2ger (⌚ UTC+1/+2) 2011-06-14 04:28:56 PDT
Created attachment 539169 [details] [diff] [review]
Patch v1
Comment 1 Olli Pettay [:smaug] 2011-06-14 04:36:42 PDT
Comment on attachment 539169 [details] [diff] [review]
Patch v1

The spec is bad, but I don't care enough to complain.
Comment 2 :Ms2ger (⌚ UTC+1/+2) 2011-06-15 08:00:22 PDT
http://hg.mozilla.org/mozilla-central/rev/bb3dcab53fc6
Comment 3 Eric Shepherd [:sheppy] 2011-08-04 13:47:45 PDT
Documentation updated:

https://developer.mozilla.org/en/DOM/CanvasRenderingContext2D#drawImage()

And mentioned on Firefox 7 for developers.
Comment 4 Simona B [:simonab ] -PTO- back Sept 5th 2011-08-29 07:23:04 PDT
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0

Can anyone please help me with a test case or with STR/guidelines in order to get this issue checked on QA side?
Thanks!
Comment 5 :Ms2ger (⌚ UTC+1/+2) 2011-08-30 13:11:35 PDT
<http://w3c-test.org/html/tests/submission/PhilipTaylor/canvas/2d.drawImage.nonfinite.html>, same expected result
Comment 6 Simona B [:simonab ] -PTO- back Sept 5th 2011-08-31 05:09:52 PDT
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0

Verified on Win XP, Win 7, Ubuntu 11.04 and Mac OS X 10.6 - loading the test case provided in Comment 5 gives me a green background and a "Passed" result.

Setting resolution to VERIFIED FIXED.

Thanks Ms2ger!

Note You need to log in before you can comment on or make changes to this bug.